## ide-project-info ide-project-info |

## Functions

#define | IDE_TYPE_PROJECT_INFO
gint | ide_project_info_compare ()
GFile * | ide_project_info_get_file ()
IdeDoap * | ide_project_info_get_doap ()
const gchar * | ide_project_info_get_description ()
GFile * | ide_project_info_get_directory ()
gboolean | ide_project_info_get_is_recent ()
gint | ide_project_info_get_priority ()
GDateTime * | ide_project_info_get_last_modified_at ()
gchar ** | ide_project_info_get_languages ()
const gchar * | ide_project_info_get_name ()
void | ide_project_info_set_file ()
void | ide_project_info_set_description ()
void | ide_project_info_set_directory ()
void | ide_project_info_set_is_recent ()
void | ide_project_info_set_languages ()
void | ide_project_info_set_name ()
void | ide_project_info_set_priority ()

## Properties

gchar * | description | Read / Write
GFile * | directory | Read / Write
IdeDoap * | doap | Read / Write
GFile * | file | Read / Write
gboolean | is-recent | Read / Write
GStrv | languages | Read / Write
GDateTime * | last-modified-at | Read / Write
gchar * | name | Read / Write
gint | priority | Read / Write

## Types and Values

| IdeProjectInfo

## Object Hierarchy

        GObject
        ╰── IdeProjectInfo

## Description

## Functions

### IDE_TYPE_PROJECT_INFO

    #define IDE_TYPE_PROJECT_INFO (ide_project_info_get_type())

### ide_project_info_compare ()

    gint
    ide_project_info_compare (IdeProjectInfo *info1,
                              IdeProjectInfo *info2);

### ide_project_info_get_file ()

    GFile *
    ide_project_info_get_file (IdeProjectInfo *self);

Gets the “file” property. This is the project file (such as configure.ac) of the project.

#### Parameters

self | A IdeProjectInfo. | [in]

#### Returns

A GFile.

[nullable][transfer none]

### ide_project_info_get_doap ()

    IdeDoap *
    ide_project_info_get_doap (IdeProjectInfo *self);

#### Returns

An IdeDoap or `NULL`.

[nullable][transfer none]

### ide_project_info_get_description ()

    const gchar *
    ide_project_info_get_description (IdeProjectInfo *self);

### ide_project_info_get_directory ()

    GFile *
    ide_project_info_get_directory (IdeProjectInfo *self);

Gets the “directory” property. This is the directory containing the project (if known).

#### Parameters

self | A IdeProjectInfo. | [in]

#### Returns

A GFile.

[nullable][transfer none]

### ide_project_info_get_is_recent ()

    gboolean
    ide_project_info_get_is_recent (IdeProjectInfo *self);

### ide_project_info_get_priority ()

    gint
    ide_project_info_get_priority (IdeProjectInfo *self);

### ide_project_info_get_last_modified_at ()

    GDateTime *
    ide_project_info_get_last_modified_at (IdeProjectInfo *self);

#### Returns

A GDateTime or `NULL`.

[transfer none][nullable]

### ide_project_info_get_languages ()

    gchar **
    ide_project_info_get_languages (IdeProjectInfo *self);

#### Returns

An array of language names.

[transfer none]

### ide_project_info_get_name ()

    const gchar *
    ide_project_info_get_name (IdeProjectInfo *self);

### ide_project_info_set_file ()

    void
    ide_project_info_set_file (IdeProjectInfo *self,
                               GFile *file);

### ide_project_info_set_description ()

    void
    ide_project_info_set_description (IdeProjectInfo *self,
                                      const gchar *description);

### ide_project_info_set_directory ()

    void
    ide_project_info_set_directory (IdeProjectInfo *self,
                                    GFile *directory);

### ide_project_info_set_is_recent ()

    void
    ide_project_info_set_is_recent (IdeProjectInfo *self,
                                    gboolean is_recent);

### ide_project_info_set_languages ()

    void
    ide_project_info_set_languages (IdeProjectInfo *self,
                                    gchar **languages);

### ide_project_info_set_name ()

    void
    ide_project_info_set_name (IdeProjectInfo *self,
                               const gchar *name);

### ide_project_info_set_priority ()

    void
    ide_project_info_set_priority (IdeProjectInfo *self,
                                   gint priority);

## Types and Values

### IdeProjectInfo

    typedef struct _IdeProjectInfo IdeProjectInfo;

## Property Details

### The `“description”` property

      “description”              gchar *

The project description.

Flags: Read / Write

Default value: NULL

### The `“directory”` property

      “directory”                GFile *

The project directory.

Flags: Read / Write

### The `“doap”` property

      “doap”                     IdeDoap *

A DOAP describing the project.

Flags: Read / Write

### The `“file”` property

      “file”                     GFile *

The toplevel project file.

Flags: Read / Write

### The `“is-recent”` property

      “is-recent”                gboolean

Is Recent.

Flags: Read / Write

Default value: FALSE

### The `“languages”` property

      “languages”                GStrv

Languages.

Flags: Read / Write

### The `“last-modified-at”` property

      “last-modified-at”         GDateTime *

Last Modified At.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

The project name.

Flags: Read / Write

Default value: NULL

### The `“priority”` property

      “priority”                 gint

The priority of the project information type.

Flags: Read / Write

Default value: 0